hive-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Thejas M Nair (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HIVE-7130) schematool is broken for minor version upgrades (eg 0.13.x)
Date Wed, 28 May 2014 02:19:01 GMT

    [ https://issues.apache.org/jira/browse/HIVE-7130?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14010673#comment-14010673
] 

Thejas M Nair commented on HIVE-7130:
-------------------------------------

{code}
[apache-hive-0.13.1-bin18:52]$ bin/schematool -dbType derby   -initSchema
Picked up JAVA_TOOL_OPTIONS: -Djava.awt.headless=true
Picked up JAVA_TOOL_OPTIONS: -Djava.awt.headless=true
Metastore connection URL:        jdbc:derby:;databaseName=metastore_db;create=true
Metastore Connection Driver :    org.apache.derby.jdbc.EmbeddedDriver
Metastore connection User:       APP
Starting metastore schema initialization to 0.13.1
org.apache.hadoop.hive.metastore.HiveMetaException: Unknown version specified for initialization:
0.13.1
*** schemaTool failed ***


[apache-hive-0.13.1-bin18:35]$ bin/schematool -dbType derby -initSchemaTo  0.12.0
Picked up JAVA_TOOL_OPTIONS: -Djava.awt.headless=true
Picked up JAVA_TOOL_OPTIONS: -Djava.awt.headless=true
Metastore connection URL:        jdbc:derby:;databaseName=metastore_db;create=true
Metastore Connection Driver :    org.apache.derby.jdbc.EmbeddedDriver
Metastore connection User:       APP
Starting metastore schema initialization to 0.12.0
Initialization script hive-schema-0.12.0.derby.sql
Initialization script completed
schemaTool completeted
[apache-hive-0.13.1-bin18:35]$ bin/schematool -dbType derby -upgradeSchema
Picked up JAVA_TOOL_OPTIONS: -Djava.awt.headless=true
Picked up JAVA_TOOL_OPTIONS: -Djava.awt.headless=true
Metastore connection URL:        jdbc:derby:;databaseName=metastore_db;create=true
Metastore Connection Driver :    org.apache.derby.jdbc.EmbeddedDriver
Metastore connection User:       APP
Starting upgrade metastore schema from version 0.12.0 to 0.13.1
Upgrade script upgrade-0.12.0-to-0.13.0.derby.sql
Completed upgrade-0.12.0-to-0.13.0.derby.sql
org.apache.hadoop.hive.metastore.HiveMetaException: Found unexpected schema version 0.13.0
*** schemaTool failed ***
{code}

> schematool is broken for minor version upgrades (eg 0.13.x)
> -----------------------------------------------------------
>
>                 Key: HIVE-7130
>                 URL: https://issues.apache.org/jira/browse/HIVE-7130
>             Project: Hive
>          Issue Type: Bug
>    Affects Versions: 0.13.1
>            Reporter: Thejas M Nair
>            Assignee: Thejas M Nair
>
> The schema initialization fails with schema tool in 0.13.1, with the message that "Unknown
version specified for initialization: 0.13.1".
> The upgrade with schema tool works (ie it runs the upgrade scripts),
> but then errors out at the end, when it finds that the version in
> metastore is 0.13.0 (not 0.13.1).



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message